Bug 53343 - i810 audio breaks with xine
Summary: i810 audio breaks with xine
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-06 23:38 UTC by Telsa Gwynne
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 18:27:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2001-09-06 23:38:13 UTC
Description of Problem:

New machine, was playing. Could play oggs and mp3s fine (mpg321 and
ogg123). Ran xine to play a videocd. System time went to 100%, the load
monitor was completely full (of load :)), nothing appeared in xine,
attempted to start new terminal to run top and got none. So I killed 
xine and looked for log whinges. 

dmesg, it say:

i810_audio: DMA overrun on write
i810_audio: CIV 3, LVI 4, hwptr f10, count -32
i810_audio: DMA overrun on write
i810_audio: CIV 3, LVI 4, hwptr f18, count -8

..over and over again.

Apparently this is the kernel and this i810 board thingy. 

Version-Release number of selected component (if applicable):

kernel-2.4.7-6
xine-0.3.7-0 (from sourceforge, not from RH)

Comment 1 Telsa Gwynne 2001-09-07 11:35:14 UTC
Upgraded to kernel 2.4.9-ac9. I am now getting working sound.


Comment 2 Doug Ledford 2001-09-19 14:24:50 UTC
Is this still the case with the 7.2 final kernel?

Comment 3 Alan Cox 2003-06-06 18:27:44 UTC
yep



Note You need to log in before you can comment on or make changes to this bug.